changeset 1727:45c936d93711

Drop ROOT_NODIRS, it's not worth the complexity to support both layouts.
author Rob Landley <rob@landley.net>
date Sun, 11 Jan 2015 12:01:30 -0600
parents 36beae266f90
children b89324905ca2
files config simple-root-filesystem.sh
diffstat 2 files changed, 12 insertions(+), 23 deletions(-) [+]
line wrap: on
line diff
--- a/config	Sun Jan 25 11:53:31 2015 -0600
+++ b/config	Sun Jan 11 12:01:30 2015 -0600
@@ -23,11 +23,6 @@
 
 # export NO_NATIVE_COMPILER=1
 
-# Setting this tells root-filesystem.sh not to create the normal directory
-# hierarchy of /usr, /tmp, /etc, and so on.
-
-# export ROOT_NODIRS=1
-
 # Setting this tells build.sh to use the existing $PATH commands to build
 # everything, which probably won't work out of the box. Cross compiling is
 # an insanely delicate process which requires a carefully configured host
--- a/simple-root-filesystem.sh	Sun Jan 25 11:53:31 2015 -0600
+++ b/simple-root-filesystem.sh	Sun Jan 11 12:01:30 2015 -0600
@@ -13,26 +13,20 @@
 
 # Determine which directory layout we're using
 
-if [ -z "$ROOT_NODIRS" ]
-then
-  mkdir -p "$STAGE_DIR"/{tmp,proc,sys,dev,home,mnt,root} &&
-  chmod a+rwxt "$STAGE_DIR/tmp" || dienow
+mkdir -p "$STAGE_DIR"/{tmp,proc,sys,dev,home,mnt,root} &&
+chmod a+rwxt "$STAGE_DIR/tmp" || dienow
 
-  STAGE_USR="$STAGE_DIR/usr"
+STAGE_USR="$STAGE_DIR/usr"
 
-  # Having lots of repeated locations at / and also under /usr is silly, so
-  # symlink them together.  (The duplication happened back in the 1970's
-  # when Ken and Dennis ran out of space on their PDP-11's root disk and
-  # leaked the OS into the disk containing the user home directories.  It's
-  # been mindlessly duplicated ever since.)
-  for i in bin sbin lib etc
-  do
-    mkdir -p "$STAGE_USR/$i" && ln -s "usr/$i" "$STAGE_DIR/$i" || dienow
-  done
-
-else
-  STAGE_USR="$STAGE_DIR" && mkdir -p "$STAGE_DIR/bin" || dienow
-fi
+# Having lots of repeated locations at / and also under /usr is silly, so
+# symlink them together.  (The duplication happened back in the 1970's
+# when Ken and Dennis ran out of space on their PDP-11's root disk and
+# leaked the OS into the disk containing the user home directories.  It's
+# been mindlessly duplicated ever since.)
+for i in bin sbin lib etc
+do
+  mkdir -p "$STAGE_USR/$i" && ln -s "usr/$i" "$STAGE_DIR/$i" || dienow
+done
 
 # Copy qemu setup script and so on.